### Method

# Ide TemplateBase get_locator

#### Declaration

    TmplTemplateLocator*
    ide_template_base_get_locator (
      IdeTemplateBase* self
    )

#### Description

Fetches the `TmplTemplateLocator` used for resolving templates.

Available since: | 3.32

Gets property | `Ide.TemplateBase:locator`

#### Return value

Returns: | `TmplTemplateLocator`
| A `TmplTemplateLocator` or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.